Package com.oracle.truffle.object

## Class Transition.AddPropertyTransition

- java.lang.Object
- - com.oracle.truffle.object.Transition
  - - com.oracle.truffle.object.Transition.PropertyTransition
    - - com.oracle.truffle.object.Transition.AddPropertyTransition

Enclosing class:
  Transition

    public static final class Transition.AddPropertyTransition
    extends Transition.PropertyTransition

### Nested Class Summary

### Nested classes/interfaces inherited from class com.oracle.truffle.object.Transition

`Transition.AddPropertyTransition, Transition.ObjectTypeTransition, Transition.PropertyTransition, Transition.RemovePropertyTransition, Transition.ReplacePropertyTransition, Transition.ReservePrimitiveArrayTransition`

### Constructor Summary

Constructors
`AddPropertyTransition​(Property property)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDirect()`

### Methods inherited from class com.oracle.truffle.object.Transition.PropertyTransition

`equals, getProperty, hashCode`

### Methods inherited from class com.oracle.truffle.object.Transition

`getShortName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddPropertyTransition

    public AddPropertyTransition​(Property property)

### Method Detail

#### isDirect

    public boolean isDirect()

Specified by:
  `isDirect` in class `Transition`